# coding: utf-8
from typing import List
from typing import Optional

from ninja import Schema


class ListSchema(Schema):
    limit: int = 20
    offset: int = 0
    ids: List[int] = None
    f: List[str] = None
    order_by: Optional[str] = None


class EnumSchema(Schema):
    """Схема для передачи списокв id в запрос."""
    ids: List[int]


class DeletedObjSchema(Schema):
    """Схема ответа при успешном удалении объекта."""
    id: int


class ErrorResponseSchema(Schema):
    """Схема http ответа c ошибкой."""
    message: str
